package com.acme;

import java.util.Map;
import java.util.HashMap;
import javax.ejb.*;
import javax.ejb.embeddable.EJBContainer;
import javax.naming.Context;
import javax.naming.NamingException;

public class Client {

    public static void main(String[] s) {

        EJBContainer c = null;
        try {
            Map p = new HashMap();
            //p.put("org.glassfish.ejb.embedded.glassfish.instance.reuse", true);
            c = EJBContainer.createEJBContainer(p);
            System.err.println("Container is ready, press enter to continue...");
            System.in.read();

            SimpleEjb ejb = (SimpleEjb) c.getContext().lookup("java:global/a b/SimpleEjb");
            //SimpleEjb ejb = (SimpleEjb) c.getContext().lookup("java:global/simple/SimpleEjb");
            System.out.println("EJB said: " + ejb.saySomething());
            System.out.println("EJB said: " + ejb.saySomething());
            System.out.println("EJB said: " + ejb.saySomething());
            System.err.println("Test executed, press enter to continue...");
            System.in.read();

        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (c != null) 
                c.close();
        }
        System.out.println("Done calling EJB");
    }
}
